> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesimple.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reference Tables

> List tables available for reference columns

Use this endpoint before creating or updating a table with `REFERENCE` columns.


## OpenAPI

````yaml GET /data/tables/reference-tables
openapi: 3.1.0
info:
  title: Public API v1
  description: >-
    Public API v1 requiring API keys.


    **Timestamps:** All datetime fields in API responses are returned in UTC
    using ISO 8601 format (e.g., `2024-01-15T14:30:00Z`). When filtering by date
    parameters, provide timestamps in ISO 8601 format.
  version: 0.1.0
servers:
  - url: https://api.prod.usesimple.ai/api/v1
    description: Production API Server
security: []
paths:
  /data/tables/reference-tables:
    get:
      tags:
        - Custom Data
      summary: List Available Reference Tables
      description: >-
        List system and custom tables that can be used as targets for REFERENCE
        columns.
      operationId: list_custom_data_reference_tables_data_tables_reference_tables_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AvailableReferenceTable'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AvailableReferenceTable:
      type: object
      required:
        - name
        - displayName
      properties:
        name:
          type: string
          title: Name
        displayName:
          type: string
          title: Display Name
      title: Available Reference Table
    ErrorResponse:
      type: object
      required:
        - status
        - success
        - error
        - errors
      properties:
        status:
          type: string
          default: error
        success:
          type: boolean
          default: false
        error:
          type: string
          title: Error
        errors:
          items:
            type: string
          type: array
          title: Errors
      title: Error Response
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````